classification
Title: Update _test_multiprocessing.py to use script helpers
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: bobcatfish, davin, ezio.melotti, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2015-04-23 00:26 by bobcatfish, last changed 2018-06-27 21:38 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
issue24033_script_helper_multi_both.patch bobcatfish, 2015-05-12 02:45 review
issue24033_multi.patch bobcatfish, 2015-06-14 18:39 review
Messages (8)
msg241837 - (view) Author: Christie (bobcatfish) * Date: 2015-04-23 00:26
As described in Issue9517, many test modules do not make use of the helpers in script_helpers.py to invoke the python interpreter in a subprocess. Issue9517 will be broken down into several smaller issues so we can address smaller change sets.

This issue is to update _test_multiprocessing.py to use script_helpers.py.
msg241838 - (view) Author: Christie (bobcatfish) * Date: 2015-04-23 00:27
I am working on this!
msg242933 - (view) Author: Christie (bobcatfish) * Date: 2015-05-12 02:45
Updated both tests in _test_mulitprocessing.py which were using sys.exectuable and Popen to use script_helpers instead, refactored script_helpers a bit to make this work.
msg244930 - (view) Author: Christie (bobcatfish) * Date: 2015-06-06 22:02
run_python and spawn_python are basically the same, I need to reconcile those.
msg245348 - (view) Author: Christie (bobcatfish) * Date: 2015-06-14 18:39
Now using existing function spawn_python instead of creating a new function.
msg245919 - (view) Author: Christie (bobcatfish) * Date: 2015-06-28 22:26
If #18576 gets merged before this does, I have some updated docs for the new helper functions.
msg257315 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-01 23:13
Thanks for the patch.  I left a review on Rietveld.
msg320628 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-27 21:38
Sorry but these patches have been lost in the huge database of open bugs and we forgot it. They have been written 3 years ago. Since that, Python moved to GitHub. If you are still interested to convert tests to script_helper, please open GitHub pull requests. I would suggest to start with a small one, and then see if other tests should be converted. I close the issue. Reopen it if you want to work again on it.
History
Date User Action Args
2018-06-27 21:38:52vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg320628

stage: patch review -> resolved
2016-01-01 23:13:50ezio.melottisetnosy: + vstinner, ezio.melotti, serhiy.storchaka

messages: + msg257315
versions: + Python 3.6
2015-06-28 22:26:44bobcatfishsetmessages: + msg245919
2015-06-14 18:39:44bobcatfishsetfiles: + issue24033_multi.patch

messages: + msg245348
2015-06-06 22:02:01bobcatfishsetmessages: + msg244930
2015-05-15 13:06:20davinsettype: enhancement
stage: patch review
2015-05-12 02:45:54bobcatfishsetfiles: + issue24033_script_helper_multi_both.patch
keywords: + patch
messages: + msg242933
2015-04-23 15:06:10davinsetnosy: + davin
2015-04-23 04:41:04berker.peksaglinkissue9517 dependencies
2015-04-23 00:27:01bobcatfishsetmessages: + msg241838
2015-04-23 00:26:47bobcatfishcreate